[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RorQWord

Rotate bits of a QWord (64-bit) value to the right

## Declaration

Source position: line 0

`function RorQWord(`
`const AValue: QWord`
`):QWord; function RorQWord(`
`const AValue: QWord;`
`const Dist: Byte`
`):QWord;`

## Description

RorQWord rotates the bits of the QWord (64-bit) AValue with Dist positions to the right. If Dist is not specified, then 1 is assumed.

## Errors

None.

## See also

RorByte |  | Rotate bits of a byte value to the right
RorWord |  | Rotate bits of a word value to the right
RorDWord |  | Rotate bits of a DWord (cardinal) value to the right
RolQWord |  | Rotate bits of a QWord (64-bit) value to the left

Documentation generated on: Feb 26 2014